Subject: 23.0.91; Emacs.app scroll-bars are incorrect

From: Peter Dyballa <[email-masked]>
Date: Sun, 29 Mar 2009 11:51:55 +0200

Hello!

The scroll-bars are full-height although not the whole buffer is  
visible. Dragging at scroll-bar downwards scrolls the buffer until  
all its contents is scrolled away. (At least it's not as brain- 
damaged as with GTK in *Calendar* buffer!)

In GNU Emacs 23.0.91.2 (powerpc-apple-darwin8.11.0, NS apple- 
appkit-824.48)
  of 2009-03-29 on Latsche.local
Windowing system distributor `Apple', version 10.3.824
configured using `configure  '--without-sound' '--without-pop' '-- 
with-dbus' '--with-libotf' '--with-ns' '--disable-ns-self-contained'  
'--x-includes=/opt/local/include' '--x-libraries=/opt/local/lib' '-- 
enable-locallisppath=/Library/Application Support/Emacs/calendar23:/ 
Library/Application Support/Emacs' 'PKG_CONFIG_PATH=/opt/local/lib/ 
pkgconfig:/usr/local/lib/pkgconfig:/usr/lib/pkgconfig' 'CFLAGS=-ggdb - 
Wno-pointer-sign -H -pipe -fPIC -mcpu=7450 -mtune=7450 -mpim-altivec - 
ftree-vectorize -foptimize-register-move -freorder-blocks -freorder- 
blocks-and-partition -fthread-jumps -fpeephole -fno-crossjumping'  
'LDFLAGS=-dead_strip -multiply_defined suppress' 'CPPFLAGS=-no-cpp- 
precomp -I/usr/include/openssl -I/sw/include/pango-1.0 -I/sw/lib/ 
fontconfig2/include -I/usr/local/include -I/sw/include''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Calendar

Minor modes in effect:
   TeX-PDF-mode: t
   shell-dirtrack-mode: t
   diff-auto-refine-mode: t
   tabbar-mwheel-mode: t
   tabbar-mode: t
   show-paren-mode: t
   display-time-mode: t
   desktop-save-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

--
Mit friedvollen Grüßen

   Pete

Work is the curse of the drinking class.
				– Oscar Wilde